# Uses of Enum Class
org.bukkit.event.inventory.InventoryType.SlotType

Packages that use InventoryType.SlotType
Package
Description
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.

## Uses of InventoryType.SlotType in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return InventoryType.SlotType
Modifier and Type
Method
Description
`@NotNull InventoryType.SlotType`
InventoryClickEvent.`getSlotType()`
Gets the type of slot that was clicked.
`static InventoryType.SlotType`
InventoryType.SlotType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryType.SlotType[]`
InventoryType.SlotType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.inventory with parameters of type InventoryType.SlotType
Modifier
Constructor
Description
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`CraftItemEvent(@NotNull Recipe recipe, @NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`InventoryClickEvent(@NotNull InventoryView view, @NotNull InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`
``
`InventoryCreativeEvent(@NotNull InventoryView what, @NotNull InventoryType.SlotType type, int slot, @NotNull ItemStack newItem)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action)`
``
`SmithItemEvent(@NotNull InventoryView view, InventoryType.SlotType type, int slot, @NotNull ClickType click, @NotNull InventoryAction action, int key)`

## Uses of InventoryType.SlotType in org.bukkit.inventory

Methods in org.bukkit.inventory that return InventoryType.SlotType
Modifier and Type
Method
Description
`final InventoryType.SlotType`
InventoryView.`getSlotType(int slot)`
Determine the type of the slot by its raw slot ID.